## r-cran-crul 0.5.0

=== DESCRIPTION ===
Package: crul
Title: HTTP Client
Description: A simple HTTP client, with tools for making HTTP requests,
    and mocking HTTP requests. The package is built on R6, and takes
    inspiration from Ruby's 'faraday' gem (<https://rubygems.org/gems/faraday>).
    The package name is a play on curl, the widely used command line tool
    for HTTP, and this package is built on top of the R package 'curl', an
    interface to 'libcurl' (<https://curl.haxx.se/libcurl>).
Version: 0.5.0
License: MIT + file LICENSE
Authors@R: c(
    person("Scott", "Chamberlain", role = c("aut", "cre"),
    email = "myrmecocystus@gmail.com",
    comment = c(ORCID = "0000-0003-1444-9135"))
    )
URL: https://github.com/ropensci/crul
BugReports: https://github.com/ropensci/crul/issues
Imports: curl (>= 3.1), R6 (>= 2.2.0), urltools (>= 1.6.0), httpcode
        (>= 0.2.0), mime
Suggests: testthat, fauxpas (>= 0.1.0), webmockr (>= 0.1.0), knitr,
        jsonlite
VignetteBuilder: knitr
RoxygenNote: 6.0.1
X-schema.org-applicationCategory: Web
X-schema.org-keywords: http, https, API, web-services, curl, download,
        libcurl, async, mocking, caching
X-schema.org-isPartOf: https://ropensci.org
NeedsCompilation: no
Packaged: 2018-01-22 19:11:17 UTC; sckott
Author: Scott Chamberlain [aut, cre] (0000-0003-1444-9135)
Maintainer: Scott Chamberlain <myrmecocystus@gmail.com>
Repository: CRAN
Date/Publication: 2018-01-22 19:48:03 UTC

## r-cran-crul 0.2.0

=== debian/changelog ===
r-cran-crul (0.2.0-1build1) artful; urgency=medium

  * No-change rebuild to pick up r-api-3.4

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 28 Sep 2017 12:00:08 +0000

r-cran-crul (0.2.0-1) unstable; urgency=medium

  * Initial release (closes: #851567)

 -- Andreas Tille <tille@debian.org>  Mon, 16 Jan 2017 17:28:14 +0100

=== debian/control ===
Source: r-cran-crul
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r,
               r-base-dev,
               r-cran-curl (>= 2.2),
               r-cran-r6 (>= 2.2.0),
               r-cran-mime,
               r-cran-httpcode,
               r-cran-urltools
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-crul/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-crul/
Homepage: https://cran.r-project.org/package=crul

Package: r-cran-crul
Architecture: all
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: simple HTTP Client for GNU R
 A simple HTTP client, with tools for making HTTP requests,
 and mocking HTTP requests. The package is built on R6, and takes
 inspiration from Ruby's 'faraday' gem (<https://rubygems.org/gems/faraday>).
 The package name is a play on curl, the widely used command line tool
 for HTTP, and this package is built on top of the R package 'curl', an
 interface to 'libcurl' (<https://curl.haxx.se/libcurl>).

## r-cran-crul 0.5.0

=== debian/changelog ===
r-cran-crul (0.5.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.3
  * debhelper 11
  * Versioned Build-Depends: r-cran-curl (>= 3.1)

 -- Andreas Tille <tille@debian.org>  Wed, 21 Feb 2018 11:59:18 +0100

r-cran-crul (0.4.0-2) unstable; urgency=medium

  * Add r-cran-webmockr to test Depends
    Closes: #882360

 -- Andreas Tille <tille@debian.org>  Mon, 04 Dec 2017 17:41:36 +0100

r-cran-crul (0.4.0-1) unstable; urgency=medium

  * New upstream version.

 -- Andreas Tille <tille@debian.org>  Mon, 23 Oct 2017 19:20:22 +0200

r-cran-crul (0.3.8-1) unstable; urgency=medium

  * New upstream version
  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Sun, 01 Oct 2017 23:10:21 +0200

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,17 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                dh-r,
                r-base-dev,
-               r-cran-curl (>= 2.2),
-               r-cran-r6 (>= 2.2.0),
+               r-cran-curl (>= 3.1),
+               r-cran-r6,
                r-cran-mime,
                r-cran-httpcode,
                r-cran-urltools
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-crul/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-crul/
+Standards-Version: 4.1.3
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-crul.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-crul.git
 Homepage: https://cran.r-project.org/package=crul
 
 Package: r-cran-crul

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/crul_([-\d.]*)\.tar\.gz

## r-cran-crul 0.5.2

=== debian/changelog ===
r-cran-crul (0.5.2-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 05 Mar 2018 11:22:10 +0100

## r-cran-crul 0.6.0+dfsg

=== debian/changelog ===
r-cran-crul (0.6.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Fri, 13 Jul 2018 14:07:16 +0200

r-cran-crul (0.5.2+dfsg-1) unstable; urgency=medium

  * Rebuild for R 3.5 transition
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends
  * Exclude generated html doc containing minimized JS

 -- Andreas Tille <tille@debian.org>  Sun, 03 Jun 2018 01:07:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: r-cran-crul
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
@@ -8,18 +8,17 @@
                r-base-dev,
                r-cran-curl (>= 3.1),
                r-cran-r6,
-               r-cran-mime,
+               r-cran-urltools,
                r-cran-httpcode,
-               r-cran-urltools
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-crul.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-crul.git
+               r-cran-mime
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-crul
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-crul.git
 Homepage: https://cran.r-project.org/package=crul
 
 Package: r-cran-crul
 Architecture: all
 Depends: ${R:Depends},
-         ${shlibs:Depends},
          ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}

## r-cran-crul 0.7.0+dfsg

=== debian/changelog ===
r-cran-crul (0.7.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Mon, 07 Jan 2019 11:41:19 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                r-cran-urltools,
                r-cran-httpcode,
                r-cran-mime
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-crul
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-crul.git
 Homepage: https://cran.r-project.org/package=crul

## r-cran-crul 0.8.0+dfsg

=== debian/changelog ===
r-cran-crul (0.8.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0

 -- Dylan Aïssi <daissi@debian.org>  Fri, 19 Jul 2019 16:33:55 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
-               r-cran-curl (>= 3.1),
+               r-cran-curl (>= 3.3),
                r-cran-r6,
                r-cran-urltools,
                r-cran-httpcode,
                r-cran-mime
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-crul
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-crul.git
 Homepage: https://cran.r-project.org/package=crul

## r-cran-crul 0.9.0+dfsg

=== DESCRIPTION ===
Package: crul
Title: HTTP Client
Description: A simple HTTP client, with tools for making HTTP requests,
    and mocking HTTP requests. The package is built on R6, and takes
    inspiration from Ruby's 'faraday' gem (<https://rubygems.org/gems/faraday>).
    The package name is a play on curl, the widely used command line tool
    for HTTP, and this package is built on top of the R package 'curl', an
    interface to 'libcurl' (<https://curl.haxx.se/libcurl>).
Version: 0.9.0
License: MIT + file LICENSE
Authors@R: c(
    person("Scott", "Chamberlain", role = c("aut", "cre"),
    email = "myrmecocystus@gmail.com",
    comment = c(ORCID = "0000-0003-1444-9135"))
    )
URL: https://docs.ropensci.org/crul (website)
        https://github.com/ropensci/crul (devel)
        https://ropenscilabs.github.io/http-testing-book/ (user manual)
BugReports: https://github.com/ropensci/crul/issues
Encoding: UTF-8
Language: en-US
Imports: curl (>= 3.3), R6 (>= 2.2.0), urltools (>= 1.6.0), httpcode
        (>= 0.2.0), jsonlite, mime
Suggests: testthat, fauxpas (>= 0.1.0), webmockr (>= 0.1.0), knitr
VignetteBuilder: knitr
RoxygenNote: 6.1.1
X-schema.org-applicationCategory: Web
X-schema.org-keywords: http, https, API, web-services, curl, download,
        libcurl, async, mocking, caching
X-schema.org-isPartOf: https://ropensci.org
NeedsCompilation: no
Packaged: 2019-11-06 21:26:54 UTC; sckott
Author: Scott Chamberlain [aut, cre] (<https://orcid.org/0000-0003-1444-9135>)
Maintainer: Scott Chamberlain <myrmecocystus@gmail.com>
Repository: CRAN
Date/Publication: 2019-11-06 21:50:02 UTC

=== debian/changelog ===
r-cran-crul (0.9.0+dfsg-2build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 21:35:45 +0000

r-cran-crul (0.9.0+dfsg-2) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Submit, Repository.

 -- Andreas Tille <tille@debian.org>  Mon, 18 May 2020 09:56:00 +0200

r-cran-crul (0.9.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.4.1
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g

 -- Andreas Tille <tille@debian.org>  Tue, 12 Nov 2019 10:38:06 +0100

r-cran-crul (0.8.4+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * dh-update-R to update Build-Depends
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Repository.

 -- Andreas Tille <tille@debian.org>  Fri, 23 Aug 2019 10:03:05 +0200

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,20 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-curl (>= 3.3),
                r-cran-r6,
                r-cran-urltools,
                r-cran-httpcode,
+               r-cran-jsonlite,
                r-cran-mime
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-crul
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-crul.git
 Homepage: https://cran.r-project.org/package=crul
+Rules-Requires-Root: no
 
 Package: r-cran-crul
 Architecture: all

## r-cran-crul 1.0.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -6,7 +6,7 @@
     The package name is a play on curl, the widely used command line tool
     for HTTP, and this package is built on top of the R package 'curl', an
     interface to 'libcurl' (<https://curl.haxx.se/libcurl>).
-Version: 0.9.0
+Version: 1.0.0
 License: MIT + file LICENSE
 Authors@R: c(
     person("Scott", "Chamberlain", role = c("aut", "cre"),
@@ -15,22 +15,23 @@
     )
 URL: https://docs.ropensci.org/crul (website)
         https://github.com/ropensci/crul (devel)
-        https://ropenscilabs.github.io/http-testing-book/ (user manual)
+        https://books.ropensci.org/http-testing/ (user manual)
 BugReports: https://github.com/ropensci/crul/issues
 Encoding: UTF-8
 Language: en-US
 Imports: curl (>= 3.3), R6 (>= 2.2.0), urltools (>= 1.6.0), httpcode
         (>= 0.2.0), jsonlite, mime
-Suggests: testthat, fauxpas (>= 0.1.0), webmockr (>= 0.1.0), knitr
+Suggests: testthat, roxygen2 (>= 7.1.1), fauxpas (>= 0.1.0), webmockr
+        (>= 0.1.0), knitr, rmarkdown
 VignetteBuilder: knitr
-RoxygenNote: 6.1.1
+RoxygenNote: 7.1.1
 X-schema.org-applicationCategory: Web
 X-schema.org-keywords: http, https, API, web-services, curl, download,
         libcurl, async, mocking, caching
 X-schema.org-isPartOf: https://ropensci.org
 NeedsCompilation: no
-Packaged: 2019-11-06 21:26:54 UTC; sckott
+Packaged: 2020-07-30 21:22:31 UTC; sckott
 Author: Scott Chamberlain [aut, cre] (<https://orcid.org/0000-0003-1444-9135>)
 Maintainer: Scott Chamberlain <myrmecocystus@gmail.com>
 Repository: CRAN
-Date/Publication: 2019-11-06 21:50:02 UTC
+Date/Publication: 2020-07-30 21:50:03 UTC

=== debian/changelog ===
r-cran-crul (1.0.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 01 Sep 2020 18:17:48 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-curl (>= 3.3),

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-webmockr
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://cran.r-project.org/src/contrib/crul_([-\d.]*)\.tar\.gz

## r-cran-crul 1.2.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -5,15 +5,15 @@
     inspiration from Ruby's 'faraday' gem (<https://rubygems.org/gems/faraday>).
     The package name is a play on curl, the widely used command line tool
     for HTTP, and this package is built on top of the R package 'curl', an
-    interface to 'libcurl' (<https://curl.haxx.se/libcurl>).
-Version: 1.0.0
+    interface to 'libcurl' (<https://curl.se/libcurl/>).
+Version: 1.2.0
 License: MIT + file LICENSE
 Authors@R: c(
     person("Scott", "Chamberlain", role = c("aut", "cre"),
     email = "myrmecocystus@gmail.com",
     comment = c(ORCID = "0000-0003-1444-9135"))
     )
-URL: https://docs.ropensci.org/crul (website)
+URL: https://docs.ropensci.org/crul/ (website)
         https://github.com/ropensci/crul (devel)
         https://books.ropensci.org/http-testing/ (user manual)
 BugReports: https://github.com/ropensci/crul/issues
@@ -24,14 +24,14 @@
 Suggests: testthat, roxygen2 (>= 7.1.1), fauxpas (>= 0.1.0), webmockr
         (>= 0.1.0), knitr, rmarkdown
 VignetteBuilder: knitr
-RoxygenNote: 7.1.1
+RoxygenNote: 7.1.2
 X-schema.org-applicationCategory: Web
 X-schema.org-keywords: http, https, API, web-services, curl, download,
         libcurl, async, mocking, caching
 X-schema.org-isPartOf: https://ropensci.org
 NeedsCompilation: no
-Packaged: 2020-07-30 21:22:31 UTC; sckott
+Packaged: 2021-11-22 18:46:12 UTC; sckott
 Author: Scott Chamberlain [aut, cre] (<https://orcid.org/0000-0003-1444-9135>)
 Maintainer: Scott Chamberlain <myrmecocystus@gmail.com>
 Repository: CRAN
-Date/Publication: 2020-07-30 21:50:03 UTC
+Date/Publication: 2021-11-22 19:10:02 UTC

=== debian/changelog ===
r-cran-crul (1.2.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.2.0+dfsg
  * d/copyright: s/MIT/Expat/

 -- Nilesh Patra <nilesh@debian.org>  Wed, 24 Nov 2021 23:15:59 +0530

r-cran-crul (1.1.0+dfsg-2) UNRELEASED; urgency=medium

  * Disable reprotest

 -- Andreas Tille <tille@debian.org>  Fri, 10 Sep 2021 06:44:18 +0200

r-cran-crul (1.1.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on r-cran-curl.

 -- Andreas Tille <tille@debian.org>  Thu, 09 Sep 2021 20:45:24 +0200

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-curl (>= 3.3),
+               r-cran-curl,
                r-cran-r6,
                r-cran-urltools,
                r-cran-httpcode,
                r-cran-jsonlite,
                r-cran-mime
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-crul
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-crul.git
 Homepage: https://cran.r-project.org/package=crul

## r-cran-crul 1.3+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -6,7 +6,7 @@
     The package name is a play on curl, the widely used command line tool
     for HTTP, and this package is built on top of the R package 'curl', an
     interface to 'libcurl' (<https://curl.se/libcurl/>).
-Version: 1.2.0
+Version: 1.3
 License: MIT + file LICENSE
 Authors@R: c(
     person("Scott", "Chamberlain", role = c("aut", "cre"),
@@ -24,14 +24,14 @@
 Suggests: testthat, roxygen2 (>= 7.1.1), fauxpas (>= 0.1.0), webmockr
         (>= 0.1.0), knitr, rmarkdown
 VignetteBuilder: knitr
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.1
 X-schema.org-applicationCategory: Web
 X-schema.org-keywords: http, https, API, web-services, curl, download,
         libcurl, async, mocking, caching
 X-schema.org-isPartOf: https://ropensci.org
 NeedsCompilation: no
-Packaged: 2021-11-22 18:46:12 UTC; sckott
+Packaged: 2022-09-03 05:09:14 UTC; sckott
 Author: Scott Chamberlain [aut, cre] (<https://orcid.org/0000-0003-1444-9135>)
 Maintainer: Scott Chamberlain <myrmecocystus@gmail.com>
 Repository: CRAN
-Date/Publication: 2021-11-22 19:10:02 UTC
+Date/Publication: 2022-09-03 06:30:10 UTC

=== debian/changelog ===
r-cran-crul (1.3+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 15 Sep 2022 09:38:45 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                r-cran-httpcode,
                r-cran-jsonlite,
                r-cran-mime
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-crul
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-crul.git
 Homepage: https://cran.r-project.org/package=crul

## r-cran-crul 1.4.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -6,7 +6,7 @@
     The package name is a play on curl, the widely used command line tool
     for HTTP, and this package is built on top of the R package 'curl', an
     interface to 'libcurl' (<https://curl.se/libcurl/>).
-Version: 1.3
+Version: 1.4.0
 License: MIT + file LICENSE
 Authors@R: c(
     person("Scott", "Chamberlain", role = c("aut", "cre"),
@@ -24,14 +24,14 @@
 Suggests: testthat, roxygen2 (>= 7.1.1), fauxpas (>= 0.1.0), webmockr
         (>= 0.1.0), knitr, rmarkdown
 VignetteBuilder: knitr
-RoxygenNote: 7.2.1
+RoxygenNote: 7.2.3
 X-schema.org-applicationCategory: Web
 X-schema.org-keywords: http, https, API, web-services, curl, download,
         libcurl, async, mocking, caching
 X-schema.org-isPartOf: https://ropensci.org
 NeedsCompilation: no
-Packaged: 2022-09-03 05:09:14 UTC; sckott
+Packaged: 2023-05-13 02:57:08 UTC; sckott
 Author: Scott Chamberlain [aut, cre] (<https://orcid.org/0000-0003-1444-9135>)
 Maintainer: Scott Chamberlain <myrmecocystus@gmail.com>
 Repository: CRAN
-Date/Publication: 2022-09-03 06:30:10 UTC
+Date/Publication: 2023-05-17 07:30:02 UTC

=== debian/changelog ===
r-cran-crul (1.4.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 12 Jun 2023 19:34:36 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                r-cran-httpcode,
                r-cran-jsonlite,
                r-cran-mime
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-crul
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-crul.git
 Homepage: https://cran.r-project.org/package=crul

## r-cran-crul 1.4.2+dfsg

=== DESCRIPTION ===
Package: crul
Title: HTTP Client
Description: A simple HTTP client, with tools for making HTTP requests,
    and mocking HTTP requests. The package is built on R6, and takes
    inspiration from Ruby's 'faraday' gem (<https://rubygems.org/gems/faraday>).
    The package name is a play on curl, the widely used command line tool
    for HTTP, and this package is built on top of the R package 'curl', an
    interface to 'libcurl' (<https://curl.se/libcurl/>).
Version: 1.4.2
License: MIT + file LICENSE
Authors@R: c(
    person("Scott", "Chamberlain", role = c("aut", "cre"),
    email = "myrmecocystus@gmail.com",
    comment = c(ORCID = "0000-0003-1444-9135"))
    )
URL: https://docs.ropensci.org/crul/, https://github.com/ropensci/crul,
        https://books.ropensci.org/http-testing/
BugReports: https://github.com/ropensci/crul/issues
Encoding: UTF-8
Language: en-US
Imports: curl (>= 3.3), R6 (>= 2.2.0), urltools (>= 1.6.0), httpcode
        (>= 0.2.0), jsonlite, mime
Suggests: testthat, roxygen2 (>= 7.1.1), fauxpas (>= 0.1.0), webmockr
        (>= 0.1.0), knitr, rmarkdown
VignetteBuilder: knitr
RoxygenNote: 7.3.1
X-schema.org-applicationCategory: Web
X-schema.org-keywords: http, https, API, web-services, curl, download,
        libcurl, async, mocking, caching
X-schema.org-isPartOf: https://ropensci.org
NeedsCompilation: no
Packaged: 2024-04-09 16:43:06 UTC; sckott
Author: Scott Chamberlain [aut, cre] (<https://orcid.org/0000-0003-1444-9135>)
Maintainer: Scott Chamberlain <myrmecocystus@gmail.com>
Repository: CRAN
Date/Publication: 2024-04-09 17:10:02 UTC

=== debian/changelog ===
r-cran-crul (1.4.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 06 Jun 2024 12:01:16 +0900

## r-cran-crul 1.5.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -6,7 +6,7 @@
     The package name is a play on curl, the widely used command line tool
     for HTTP, and this package is built on top of the R package 'curl', an
     interface to 'libcurl' (<https://curl.se/libcurl/>).
-Version: 1.4.2
+Version: 1.5.0
 License: MIT + file LICENSE
 Authors@R: c(
     person("Scott", "Chamberlain", role = c("aut", "cre"),
@@ -23,14 +23,14 @@
 Suggests: testthat, roxygen2 (>= 7.1.1), fauxpas (>= 0.1.0), webmockr
         (>= 0.1.0), knitr, rmarkdown
 VignetteBuilder: knitr
-RoxygenNote: 7.3.1
+RoxygenNote: 7.3.2
 X-schema.org-applicationCategory: Web
 X-schema.org-keywords: http, https, API, web-services, curl, download,
         libcurl, async, mocking, caching
 X-schema.org-isPartOf: https://ropensci.org
 NeedsCompilation: no
-Packaged: 2024-04-09 16:43:06 UTC; sckott
+Packaged: 2024-07-19 17:29:47 UTC; sckott
 Author: Scott Chamberlain [aut, cre] (<https://orcid.org/0000-0003-1444-9135>)
 Maintainer: Scott Chamberlain <myrmecocystus@gmail.com>
 Repository: CRAN
-Date/Publication: 2024-04-09 17:10:02 UTC
+Date/Publication: 2024-07-19 17:50:02 UTC

=== debian/changelog ===
r-cran-crul (1.5.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Tue, 24 Sep 2024 08:33:06 +0900

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                r-cran-httpcode,
                r-cran-jsonlite,
                r-cran-mime
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-crul
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-crul.git
 Homepage: https://cran.r-project.org/package=crul

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-testthat,
        r-cran-roxygen2 (>= 7.1.1),
        r-cran-fauxpas (>= 0.1.0),
        r-cran-webmockr (>= 0.1.0),
        r-cran-knitr,
        r-cran-rmarkdown
Restrictions: allow-stderr

## r-cran-crul 1.6.0+dfsg

=== debian/changelog ===
r-cran-crul (1.6.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 17 Dec 2025 10:06:50 +0900

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,12 @@
                r-cran-urltools,
                r-cran-httpcode,
                r-cran-jsonlite,
-               r-cran-mime
-Standards-Version: 4.7.0
+               r-cran-mime,
+               r-cran-rlang,
+               r-cran-lifecycle,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-crul
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-crul.git
 Homepage: https://cran.r-project.org/package=crul

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-testthat (>= 3.0.0),
        r-cran-roxygen2 (>= 7.1.1),
        r-cran-fauxpas (>= 0.1.0),
        r-cran-webmockr (>= 2.2.0),
        r-cran-withr,
        r-cran-knitr,
        r-cran-rmarkdown
Restrictions: allow-stderr
